<?php 
/*activation elements por defautlt*/
function wts_reset_get_option($var_get_option, $new_val){
	if(get_option($var_get_option)){
		update_option($var_get_option , $new_val);
	}else{
		return false;
	}
}
/*Arreglar esta en la activacion*/
if(is_admin() && $pagenow == 'themes.php' && isset($_GET['activated']) && $_GET['activated'] == 'true'){
	wts_reset_get_option($shortname.'_default_post_boxes', 'true');
	$GLOBALS['layout_info']['themeshock_default_widget_boxes'] = true;
	(isset($GLOBALS['display_elements']) && $GLOBALS['display_elements'][0] == 'show')?wts_reset_get_option($shortname.'_show_main_menu', 'true'):wts_reset_get_option($shortname.'_show_main_menu', 'false');
	if(isset($GLOBALS['display_elements']) && $GLOBALS['display_elements'][1] == 'show'){
		$active_socials = array('themeshock_face_follow_option', 'themeshock_tweet_follow_option', 'themeshock_mail_option', 'themeshock_rss_feed_option');
		foreach($active_socials as $active_social){
			wts_reset_get_option($active_social, 'true');
		}
	}else{
		foreach($GLOBALS['social_network'] as $social_network => $option ){
			wts_reset_get_option('themeshock'.$option.'_option', 'false');
		}
	};
	(isset($GLOBALS['display_elements']) && $GLOBALS['display_elements'][2] == 'show')?wts_reset_get_option($shortname.'_show_search_box', 'true'):wts_reset_get_option($shortname.'_show_search_box', 'false');
	update_option('themeshock_layout_options', maybe_serialize($layout_info));
}

/*********************/
/* Setup shortcodes */
/*******************/

function getThemeGenShortcodes(){
	global $themename, $shortname, $wpdb, $post;?>

	<div class="inside-row">
		<label class="display-block"><?php echo __('Create custom galleries, portfolios or services pages.','ShocK')?>
			<span class="question_tooltip">?
				<div class="question_tooltip-description">
					<img src="<?php echo get_template_directory_uri()?>/img/multi_bkg/shortcodeeg.jpg" width="139" height="128"/>
					<p>
						Using the Shortcode, You can repost all your products, services and galleries in any page.
						Only you need copy the shortcode and paste in every page you want the galleries, products or services appear.
					</p>
				</div>
			</span>
		</label>
	</div>
	<div class="inside-row">
		<?php $wptg_cpt = array('gallery'=>'galleries','portfolio'=>'portfolios', 'services'=>'brochures');?>
		<div class="feats wptg-cpt-area">
			<label>Post Type<br />
				<select id="<?php echo $shortname; ?>_wptg_ctp_post_type" >
					<?php foreach($wptg_cpt as $value => $postType){?>
						<option value="<?php echo $value; ?>" data-wptg_ctp="<?php echo $postType;?>"><?php echo $value;?></option>
					<?php }?>
				</select>
			</label>
			<label>Taxonomy<br />
				<select id="<?php echo $shortname; ?>_wptg_ctp_taxonomy" >
					<option value="" class="wptg-group-allitems" selected="selected">All items</option>
					<?php
					foreach($wptg_cpt as $value => $postType){
						$get_terms_wptg_cpt = get_terms($postType, 'order=DESC');
						foreach($get_terms_wptg_cpt as $terms_wptg_cpt){
							echo '<option value="'.$terms_wptg_cpt->slug.'" class="wptg-group-'.$value.'" >'.$terms_wptg_cpt->name.'</option>';
						}
					}?>
				</select>
			</label>
			<label>Frame Style<br />
				<select id="<?php echo $shortname; ?>_wptg_ctp_style" >
					<?php foreach(range(0,14) as $number){?>
						<option value="<?php echo $number;?>"><?php echo $number;?></option>
					<?php }?>
				</select>
			</label>
		</div>
	</div><!-- end row -->
	<div class="inside-row">
		<label for="shortcode_custom_pgs">Your shortcode </label>
		<input type="text" name="wptg_ctg_shortcode" id="shortcode_custom_pgs" class="wptg_ctg_shortcode" value='[wptg-cpt wptg_post_type="gallery" taxonomy="" style="0"]' onclick="copyit(this)"/>
	</div><!-- end row -->
	<small class="description-full2"><?php echo __('Just create the shortcode and paste it in a new page.','ShocK')?></small>

<?php }

/**************************/
/* Setup MetaTags Favicon*/
/************************/

function getThemeGenMetaTagsFavicon(){
	global $themename, $shortname;?>
	<div class="bottom-saver">
		<span id="wptg-bnr">Theme Generator &copy; <?php echo date('Y');?></span>
		<span class="update_text" style="display:none;"> <b><i>Updating...</i></b></span>
		<span class="updated_text" style="display:none;color:#2a95c5;"> <b><i>Saved!</i></b></span>
	</div>
	<div class="setup-meta-favicon">
		<?php $metaDescrip = stripcslashes(get_option($shortname.'_metaDescription'));?>
		<?php $metaKeywords = stripcslashes(get_option($shortname.'_metaKeywords'));?>
		<div class="display-table-cell table-cell-first">
			<label for="<?php echo $shortname; ?>_favicon"><?php echo __('Custom Favicon','ShocK')?></label>
		</div>
		<div class="display-table-cell table-cell-2">
			<input name="<?php echo $shortname; ?>_favicon" id="<?php echo $shortname; ?>_favicon" title="Please use a valid format e.g. http://wpthemegenerator.com" type="text" value="<?php echo home_url();?>/favicon.ico" />
		</div>
		<div class="description-full">
			<small><?php echo __('A favicon is a 16x16 pixel icon that represents your site; paste the URL to a .ico image that you want to use as the image.','ShocK')?></small>
		</div>
		<div class="display-table-cell table-cell-first">
			<label for="<?php echo $shortname; ?>_metaDescription"><?php echo __('Meta Description','ShocK')?></label>
		</div>
		<div class="display-table-cell table-cell-2">
			<textarea name="themeshock_metaDescription" id="<?php echo $shortname; ?>_metaDescription" type="textarea" cols="" rows="" style="height:100px;"><?php echo($metaDescrip != '')?$metaDescrip:'';?></textarea>
		</div>
		<div class="description-full">
			<small><?php echo __('How you want your site appears described in search engines.','ShocK')?></small>
		</div>
		<div class="display-table-cell table-cell-first">
			<label for="<?php echo $shortname; ?>_metaKeywords"><?php echo __('Meta Keywords','ShocK')?></label>
		</div>
		<div class="display-table-cell table-cell-2">
			<textarea name="themeshock_metaKeywords" id="<?php echo $shortname; ?>_metaKeywords" type="textarea" cols="" rows="" style="height:100px;"><?php echo($metaKeywords != '')?$metaKeywords:'';?></textarea>
		</div>
		<div>
			<small><?php echo __("Used for SEO Positioning and robots. Doesn't function with Panda Algorithm by Google.","tstranslate")?></small>
		</div>
	</div><!-- end setup-meta-favicon -->
	<!--<div class="area-save-btn"><input name="save" type="submit" value="Save Changes" class="button-primary"/></div><!-- end area-save -->
<?php }


/***************************/
/* Setup Socials Networks */
/*************************/

function getThemeGenSocialNetworks(){
	global $themename, $shortname, $wpdb, $post;?>
	<div class="tg_social_network">
	  <?php foreach($GLOBALS['social_network'] as $social_network =>$option_save){?>
	  <div class="display-table-row">
		<div class="display-table-cell">
		  <label for="<?php echo $shortname.$option_save; ?>"><?php echo ucfirst(str_replace('_', ' ', $social_network));?></label>
		</div>
		<div class="display-table-cell table-cell-2">
		  <input name="<?php echo $shortname.$option_save; ?>" id="<?php echo $shortname.$option_save;?>" class="themeshock-mailer" title="Please use a valid format e.g. http://wpthemegenerator.com" type="text" value="<?php echo get_option($shortname.$option_save,'');?>" placeholder="Resource Url"/>
		  <input name="<?php echo $shortname.$option_save; ?>_option" type="checkbox" id="<?php echo $social_network; ?>" value="true" <?php echo (get_option($shortname.$option_save.'_option')==='true')?'checked="checked"':'';?>  />
		</div>
	  </div><!-- end display-table-row -->
	  <?php }?>
	</div>
	<small><?php echo __('Enter the links of your social networks','ShocK')?></small>
	<!--<div class="area-save-btn"><input name="save" type="submit" value="Save Changes" class="button-primary"/></div><!-- end area-save -->
<?php }

/***********************/
/* Setup Contact Form */
/*********************/

function getThemeGenContactForm(){
	global $themename, $shortname, $wpdb, $post;?>
	<label for="<?php echo $shortname; ?>_contact_mail"><?php echo __('Contact email','ShocK')?></label>
	<?php $contact_email=(!get_option($shortname.'_contact_mail'))?'email@email.com':get_option($shortname.'_contact_mail');?>
	<input name="<?php echo $shortname; ?>_contact_mail" id="<?php echo $shortname; ?>_contact_mail" title="Please use a valid format e.g. name@domain.com" placeholder="your@domain.com" pattern="([a-zA-Z0-9._-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4})" type="text" value="<?php echo $contact_email;?>" />
	<small><?php echo __('Enter the e-mail where you want to receive incoming messages.','ShocK')?></small><div class="clearfix"></div>
	<label for="mainAddr">Your Office or Home Main Address.</label>
	<input type="text" name="<?php echo $shortname; ?>_main_address" id="<?php echo $shortname; ?>_main_address" placeholder="76 Ninth Ave New York" value="<?php echo (!get_option($shortname.'_main_address'))?'':get_option($shortname.'_main_address');?>">
	<!--<div class="area-save-btn"><input name="save" type="submit" value="Save Changes" class="button-primary"/></div><!-- end area-save -->
<?php }

/****************************/
/* Setup Custom Post Types */
/**************************/

function getThemeGenCustomPostTypes(){
	global $themename, $shortname;
	$CustomPostTypes = array('Gallery', 'Portfolio', 'Products', 'Services', 'Testimonials');
	$fontColorPostType = get_option($shortname.'_fontColorPostType');
	$colors=array("white"=>"","blue"=>"btn-primary","cyan"=>"btn-info","green"=>"btn-success","yellow"=>"btn-warning","red"=>"btn-danger","black"=>"btn-inverse");;
	$fonts=array("Arial"=>"Arial","Verdana"=>"Verdana","Trebuchet"=>"Trebuchet MS","Wire One"=>"Wire One","Tahoma"=>"Tahoma","Calibri"=>"Calibri","Helvetica"=>"Helvetica","Lucida Console"=>"Lucida Console");
	asort($fonts);
	?>
	<span class="title_option_tg_full">Disable/enable custom post type (Gallery, Portfolio, Products, Services, Testimonials)</span>
	<div class="options" style="margin-top:4px;">
		<div style="margin:auto;width:80%;" class="cpUI">
			<?php	foreach($CustomPostTypes as $CustomPostType){?>
			<?php $enableCustomPostType = get_option($shortname.'_enablePostType'.$CustomPostType, 'true'); ?>
			<input name="<?php echo $shortname.'_enablePostType'.$CustomPostType;?>" id="<?php echo $shortname.'_enablePostType'.$CustomPostType;?>" type="checkbox"
			<?php echo($enableCustomPostType == 'true')?'checked="checked"':'';?> value="true" class="ShocK_custom_post_types"/>
			<label class="button" for="<?php echo $shortname;?>_enablePostType<?php echo $CustomPostType?>"><?php echo __($CustomPostType,'ShocK')?></label>
			<?php }	?>
		</div>
	</div>
	<div class="clear"></div>
	<br>
	<small class="description_full"><?php echo __('Disable/enable custom post type (Gallery, Portfolio, Products, Services, Testimonials) This option will hide these menus in the slider of wp dashboard interface.','ShocK')?></small>
	<span class="title_option_tg_full">Font Color custom post type (Gallery, Portfolio, Products, Services, Testimonials)</span>
	<label for="<?php echo $shortname;?>_fontColorPostType"><?php echo __('Font Color','ShocK')?></label>
	<input name="<?php echo $shortname.'_fontColorPostType';?>" placeholder="Use hex, rgb, hsl or color name" title="Please Use hex, rgb, hsl or color name eg(#333,  rgb(200, 200, 200), hsl(0, 0%, 20%) or blue)" pattern="(blue|red|orange|aqua|green|white|black|lime|purple|yellow|maroon|fuschia|navy|silver|gray|olive|teal|inherit|Inherit|^(hsl|rgb|#)[a-fA-F0-9\,\(\)%]+)" id="<?php echo $shortname.'_fontColorPostType';?>" type="text" value="<?php echo $fontColorPostType;?>" />
	<br>
	<span><b>(Font Color)</b> Use hex, rgb, hsl or color name eg(#333,  rgb(200, 200, 200), hsl(0, 0%, 20%) or blue)</span>
	<?php
	/************************/
	/* GLS Engine ThemeGen */
	/**********************/
	?>
	<!--begin gls implementation-->
	<h4>Pluginterest <i>(Use the 'Grid Layout Shock' power in your website theme).</i></h4>
	<?php
		/*this function draw the post type Id's*/
		/*function get_ID_by_page_name($page_name) {
		   global $wpdb;
		   $page_name_id = $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_name = '".$page_name."' AND post_type = 'page'");
		   return $page_name_id;
		}
		wp_reset_query();
		wp_reset_postdata();*/
		$postypes=array('Gallery-wts','Portfolio-wts','Product-wts','Service-wts');
		$title_postypes=array('Gallery-wts','Portfolio-wts','Product-wts','Service-wts');
		$content_postypes=array('Product-wts','Testimonials-wts');
		$url_img_no_exists_postypes=array('Gallery-wts','Portfolio-wts','Product-wts','Service-wts');
		$readmore_postypes=array('Portfolio-wts','Product-wts');
		$js_postypes=array('Gallery-wts','Portfolio-wts','Product-wts','Service-wts');
		/*if(get_option('themeshock_layout_options')){
			$gls=json_decode(get_option('themeshock_gls_custom_post_type8'));
			var_export($gls);
		}*/
	?>

	<div id="showdatatool"></div>
	<div class="display-table-row">
		<div class="display-table-cell">
		  <label for="<?php echo $shortname; ?>_gls_custom_post_type">Select custom post type:</label>
		</div>
		<div class="display-table-cell table-cell-2">
			<select name="themeshock_gls_custom_post_type" id="<?php echo $shortname; ?>_gls_custom_post_type">
				<option value="">Select One</option>
				<?php
					foreach($postypes as $postype_name){?>
						<option value="<?php echo $shortname.'_gls_custom_post_type'.get_ID_by_page_name($postype_name);?>" id="<?php echo str_replace('-wts', '',$postype_name);?>"><?php echo str_replace('-wts', '',$postype_name);?></option>
					<?php
					}
				?>
			</select>
		</div>
	</div>
	<script type="text/javascript" charset="utf-8">
		jQuery('#<?php echo $shortname; ?>_gls_custom_post_type').live('change',function(){
			postypeId=jQuery(this).val();
			return postypeId;
		}).get();
	</script>
	<!--glsimgslctr-->
	<div class="display-table-row <?php echo $shortname;?>_gls_box_width <?php foreach($postypes as $postype_name){ echo $shortname.'_gls_custom_post_type'.get_ID_by_page_name($postype_name),' ';} ?>">
		<div class="display-table-cell">
			<label for="<?php echo $shortname;?>_gls_box_width">Box width:</label>
		</div>
		<div class="display-table-cell table-cell-2">
			<input type="text" name="<?php echo $shortname; ?>_gls_box_width" pattern="(inherit|Inherit|[0-9]{2,3})" placeholder="Digits (0-9) between 10 - 999 or Ihnerit Value" id="<?php echo $shortname; ?>_gls_box_width" maxlength="3" form="glsoptions"/>
		</div>
	</div>
	<div class="display-table-row <?php echo $shortname;?>_gls_box_style <?php foreach($postypes as $postype_name){ echo $shortname.'_gls_custom_post_type'.get_ID_by_page_name($postype_name),' ';} ?>">
		<div class="display-table-cell">
			<label for="<?php echo $shortname;?>_gls_box_style">Box Style:</label>
		</div>
		<div class="display-table-cell table-cell-2">
			<select id="<?php echo $shortname;?>_gls_box_style" name="<?php echo $shortname;?>_gls_box_style" value="<?php echo $themeshock_gls_box_style; ?>" form="glsoptions">
				<?php for($i=1;$i<=23;$i++): ?>
				<option value="<?php echo $i ?>"><?php echo $i ?></option>
				<?php endfor; ?>
			</select>
		</div>
	</div>
		<br>
	<div class="display-table-row <?php echo $shortname;?>_gls_box_style <?php foreach($postypes as $postype_name){ echo $shortname.'_gls_custom_post_type'.get_ID_by_page_name($postype_name),' ';} ?>">
		<div class="display-table-cell">
			<label for="<?php echo $shortname;?>_gls_box_style">&nbsp;</label>
		</div>
		<div class="display-table-cell table-cell-2">
			<span id="screen_pre" class="screen1">&nbsp;</span>
		</div>
	</div>
	<br>
	<!--rdmrbtnclr-->
	<div class="display-table-row <?php echo $shortname;?>_gls_btn_clr <?php foreach($readmore_postypes as $postype_name){ echo $shortname.'_gls_custom_post_type'.get_ID_by_page_name($postype_name),' ';} ?>">
		<div class="display-table-cell">
			<label for="<?php echo $shortname;?>_gls_btn_clr">Button Color</label>
		</div>
		<div class="display-table-cell table-cell-2">
			<select name="<?php echo $shortname;?>_gls_btn_clr" id="<?php echo $shortname;?>_gls_btn_clr" form="glsoptions">
				<option value="nobutton" selected="selected">No Button</option>
				<?php
					foreach($colors as $color => $btcolor){
						?>
							<option value="<?php echo $btcolor; ?>"><?php echo $color;?></option>
						<?php
					}
				?>
			</select>
		</div>
	</div>
	<div class="display-table-row <?php echo $shortname;?>_gls_btn_fnt_stl <?php foreach($readmore_postypes as $postype_name){ echo $shortname.'_gls_custom_post_type'.get_ID_by_page_name($postype_name),' ';} ?>">
		<div class="display-table-cell">
			<label for="<?php echo $shortname;?>_gls_btn_fnt_stl">Button Font</label>
		</div>
		<div class="display-table-cell table-cell-2">
			<select name="<?php echo $shortname;?>_gls_btn_fnt_stl" id="<?php echo $shortname;?>_gls_btn_fnt_stl" form="glsoptions">
				<option selected value="Open Sans"><?php echo __("Theme Default",'usefulmatrixint'); ?></option>
				<?php foreach($fonts as $value=>$name): ?>
					<option value="<?php echo $value ?>"><?php echo $name; ?></option>
				<?php endforeach; ?>
			</select>
		</div>
	</div>
	<div class="display-table-row <?php echo $shortname; ?>_gls_btn_txt <?php foreach($readmore_postypes as $postype_name){ echo $shortname.'_gls_custom_post_type'.get_ID_by_page_name($postype_name),' ';} ?>">
		<div class="display-table-cell table-cell-first">
			<label for="<?php echo $shortname; ?>_gls_btn_txt">Button Text</label>
		</div>
		<div class="display-table-cell table-cell-2">
			<input type="text" name="themeshock_gls_btn_txt" id="<?php echo $shortname; ?>_gls_btn_txt" form="glsoptions"/>
		</div>
	</div>
	<div class="display-table-row <?php echo $shortname;?>_gls_btn_fnt_sz <?php foreach($readmore_postypes as $postype_name){ echo $shortname.'_gls_custom_post_type'.get_ID_by_page_name($postype_name),' ';} ?>">
		<div class="display-table-cell table-cell-first">
			<label for="<?php echo $shortname;?>_gls_btn_fnt_sz">Button Font Size</label>
		</div>
		<div class="display-table-cell table-cell-2">
			<input type="text" name="<?php echo $shortname;?>_gls_btn_fnt_sz" id="<?php echo $shortname;?>_gls_btn_fnt_sz"  pattern="(inherit|Inherit|[0-9]{2,3})" placeholder="Digits (0-9) between 10 - 999 or Ihnerit Value" id="<?php echo $shortname; ?>_gls_box_width" maxlength="3" form="glsoptions" />
		</div>
	</div>
	<div class="display-table-row <?php echo $shortname;?>_gls_title_font_size <?php foreach($title_postypes as $postype_name){ echo $shortname.'_gls_custom_post_type'.get_ID_by_page_name($postype_name),' ';} ?>">
		<div class="display-table-cell table-cell-first">
			<label for="<?php echo $shortname;?>_gls_title_font_size">Title Font Size</label>
		</div>
		<div class="display-table-cell table-cell-2">
			<input type="text" name="<?php echo $shortname;?>_gls_title_font_size" id="<?php echo $shortname;?>_gls_title_font_size" pattern="(inherit|Inherit|[0-9]{2,3})" placeholder="Digits (0-9) between 10 - 999 or Ihnerit Value" id="<?php echo $shortname; ?>_gls_box_width" maxlength="3" form="glsoptions" />
		</div>
	</div>
	<div class="display-table-row <?php echo $shortname;?>_gls_title_font_style <?php foreach($title_postypes as $postype_name){ echo $shortname.'_gls_custom_post_type'.get_ID_by_page_name($postype_name),' ';} ?>">
		<div class="display-table-cell table-cell-first">
			<label for="<?php echo $shortname;?>_gls_title_font_style">Title Font Style</label>
		</div>
		<div class="display-table-cell table-cell-2">
			<select id="<?php echo $shortname;?>_gls_title_font_style" name="<?php echo $shortname;?>_gls_title_font_style" form="glsoptions">
				<option selected value="Arial"><?php echo __("Theme Default",'usefulmatrixint'); ?></option>
				<?php foreach($fonts as $value=>$name): ?>
					<option value="<?php echo $value ?>"><?php echo $name; ?></option>
				<?php endforeach; ?>
			</select>
			<!--<input type="text" name="<?php echo $shortname;?>_gls_title_font_style" id="<?php echo $shortname;?>_gls_title_font_style" />-->
		</div>
	</div>
	<div class="display-table-row <?php echo $shortname;?>_gls_content_font_style <?php foreach($content_postypes as $postype_name){ echo $shortname.'_gls_custom_post_type'.get_ID_by_page_name($postype_name),' ';} ?>">
		<div class="display-table-cell table-cell-first">
			<label for="<?php echo $shortname;?>_gls_content_font_style">Content Font Style</label>
		</div>
		<div class="display-table-cell table-cell-2">
			<select id="<?php echo $shortname;?>_gls_content_font_style" name="<?php echo $shortname;?>_gls_content_font_style" form="glsoptions">
				<option selected value="Arial"><?php echo __("Theme Default",'usefulmatrixint'); ?></option>
				<?php foreach($fonts as $value=>$name): ?>
					<option value="<?php echo $value ?>"><?php echo $name; ?></option>
				<?php endforeach; ?>
			</select>
			<!--<input type="text" name="<?php echo $shortname;?>_gls_content_font_style" id="<?php echo $shortname;?>_gls_content_font_style" />-->
		</div>
	</div>
	<div class="display-table-row <?php echo $shortname;?>_gls_no_img <?php foreach($url_img_no_exists_postypes as $postype_name){ echo $shortname.'_gls_custom_post_type'.get_ID_by_page_name($postype_name),' ';} ?>">
		<div class="display-table-cell table-cell-first">
			<label for="<?php echo $shortname;?>_gls_no_img">Url to Image when no images exists</label>
		</div>
		<div class="display-table-cell table-cell-2">
			<input type="text" placeholder="http://" name="<?php echo $shortname;?>_gls_no_img" id="<?php echo $shortname;?>_gls_no_img"  form="glsoptions"/>
		</div>
	</div>
	<br />
	<div class="display-table-row <?php echo $shortname;?>_gls_masonry <?php foreach($js_postypes as $postype_name){ echo $shortname.'_gls_custom_post_type'.get_ID_by_page_name($postype_name),' ';} ?>">
		<div class="display-table-cell table-cell-first">
			<label for="<?php echo $shortname;?>_gls_masonry">Enable Masonry JS</label>
		</div>
		<div class="display-table-cell table-cell-2">
			<input type="checkbox" value="1" id="<?php echo $shortname;?>_gls_masonry" name="<?php echo $shortname;?>_gls_masonry" form="glsoptions"/>
			let this unchecked for use responsive by css method, or checked for Magical layouts.
		</div>
	</div>
	<br />
	<div class="<?php echo $shortname;?>_gls_save_options">
		  <a href="" class="btn button-primary save-gls">Save this configuration</a>
	</div>
	<!--<div class="area-save-btn"><input name="save" type="submit" value="Save Changes" class="button-primary"/></div><!-- end area-save-->
	<!--end gls implementation-->
<?php }

/************************/
/* Setup Shopping Cart */
/**********************/

function getThemeGenShoppingCart($callback=false){
	global $themename, $shortname;
	$page_product=array('Products','All pages');
	$GLOBALS['tg_shp_show']=get_option('themeshock_shp_cart_show');
	$shoppinCartUrl = (!get_option($shortname.'_shopping_cart_url'))?'http://www.yourmerchant.com/ ':get_option($shortname.'_shopping_cart_url');
	if(get_option('ts_shopping_cart_woo')==='true'){
		$get_plugins=get_plugins();
		$woocommerce=false;
		foreach ($get_plugins as $plugin_file => $plugin_data){
			switch (basename($plugin_file)){
				case 'woocommerce.php':
					$woocommerce=true;
				break;
			}
		}
		if ($woocommerce===true){
			if (is_plugin_active('woocommerce/woocommerce.php')) {
				//the plugin is active
				if(get_page_by_title('Checkout')){
					$notice=' Woocommerce is active and running!!!.';
				}else{
					$notice=' Woocommerce is active and running. click on "Install Woocommerce pages" on top navigation bar.';
				}

				$status='<span style="color:#00aa00">Running</span>';
				?>
				<script type="text/javascript" charset="utf-8">
					jQuery(document).ready(function(){
						jQuery('#uninstall_woo').hide();
						//jQuery('#uninstall_woo').hide();
						jQuery('#themeshock_features').on('click',function(){
							if(jQuery('#themeshock_features_woo').is(':checked')){
								jQuery('#themeshock_features_woo').removeAttr('checked');
							}else{
								jQuery('#themeshock_features_woo').attr('checked','checked');
							}
						});
						jQuery('#themeshock_features_woo').on('click',function(){
							if(jQuery('#themeshock_features').is(':checked')){
								jQuery('#themeshock_features').removeAttr('checked');
							}else{
								jQuery('#themeshock_features').attr('checked','checked');
							}
						});
					});
				</script>
				<?php
			}else{
				$notice='WooCommerce plugin is installed but not active';
				$status='Inactive';
				/*$plugins = get_option('active_plugins'); // obtenemos los plugins ya activados
				$active_woocommerce='woocommerce/woocommerce.php';
				if ( ! in_array( $active_woocommerce,$plugins ) ) {
					array_push( $plugins,$active_woocommerce );
					update_option( 'active_plugins', $plugins );
				}*/
				activate_plugin('woocommerce/woocommerce.php');
				update_option('themeshock_enablePostTypeProducts','false');
			}
		}else{
			$notice='Pls, Download and Install Woocommerce Plugin';
			$status='Uninstalled';
		}
		?>
		<script type="text/javascript" charset="utf-8">
			jQuery(document).ready(function(){
				jQuery('#uninstall_woo').hide();
			});
		</script>
		<?php
		// update_option('ts_shopping_cart_uninstall_woo','false'); do it
	}else{
		$plugins = get_option('active_plugins'); // obtenemos los plugins ya activados
		$deactive_woocommerce='woocommerce/woocommerce.php';
		deactivate_plugins($deactive_woocommerce);
		//uninstall_plugin($deactive_woocommerce);
		// update_option('themeshock_enablePostTypeProducts','true');
		if(!file_exists('../wp-content/plugins/woocommerce/woocommerce.php')){
			$notice='Pls, Download and Install the latest version of <a href="http://www.woothemes.com/woocommerce/" target="_blank">Woocommerce</a> Plugin into plugins folder of your site';
			$status='<span style="color:#aa0000">Uninstalled</span>';
			?>
			<script type="text/javascript" charset="utf-8">
				jQuery(document).ready(function(){
					jQuery('#show_enable_woo').hide();
					jQuery('#uninstall_woo').hide();
					jQuery('#show_cart,#show_price,#show_price,#show_currency,#show_tax,#show_tax_auto').show();
				});
			</script>
			<?php
		}else{
			$notice='Are you a merchant?.Want to Begin to sell right now. Check Enable woocommerce  option and save changes for start now!.';
			$status='<span style="color:#aa0000">Inactive</span>';
			if(get_option('ts_shopping_cart_uninstall_woo')==='true'){
				deactivate_plugins($deactive_woocommerce);
				uninstall_plugin($deactive_woocommerce);
				?>
				<script type="text/javascript" charset="utf-8">
					jQuery(document).ready(function(){
						jQuery('#themeshock_features_woo').on('click',function(){
							if(jQuery('#themeshock_features').is(':checked')){
								jQuery('#themeshock_features').removeAttr('checked');
								jQuery('#uninstall_woo').hide();
							}else{
								jQuery('#themeshock_features').attr('checked','checked');
							}
						});
						jQuery('#themeshock_features').on('click',function(){
							if(jQuery('#themeshock_features_woo').is(':checked')){
								jQuery('#themeshock_features_woo').removeAttr('checked');
							}else{
								jQuery('#themeshock_features_woo').attr('checked','checked');
								jQuery('#uninstall_woo').hide();
							}
						});
					});
				</script>
				<?php
			}
			?>
				<script type="text/javascript" charset="utf-8">
					jQuery(document).ready(function(){
						jQuery('#show_cart,#show_price,#show_price,#show_currency,#show_tax,#show_tax_auto').show();
						jQuery('#themeshock_features').on('click',function(){
							if(jQuery('#themeshock_features_woo').is(':checked')){
								jQuery('#themeshock_features_woo').removeAttr('checked');
								jQuery('#show_cart,#show_price,#show_price,#show_currency,#show_tax,#show_tax_auto').show();
								jQuery('#uninstall_woo').show();
							}else{
								jQuery('#themeshock_features_woo').attr('checked','checked');
								jQuery('#show_cart,#show_price,#show_price,#show_currency,#show_tax,#show_tax_auto').hide();
							}
						});
					});
				</script>
				<?php

		}
		?>
				<script type="text/javascript" charset="utf-8">
					jQuery(document).ready(function(){
						jQuery('#uninstall_woo').show();
						jQuery('#themeshock_features_woo').on('click',function(){
							if(jQuery('#themeshock_features').is(':checked')){
								jQuery('#themeshock_features').removeAttr('checked');
								jQuery('#show_cart,#show_price,#show_price,#show_currency,#show_tax,#show_tax_auto').hide();
							}else{
								jQuery('#show_enable').show();
								jQuery('#uninstall_woo').show();
								jQuery('#themeshock_features').attr('checked','checked');
								jQuery('#show_cart,#show_price,#show_price,#show_currency,#show_tax,#show_tax_auto').show();
							}
						});
					});
				</script>
				<?php
	}
	if($callback==true){
		return true;
		//exit;
	}
?>
	themegenerator now integrates with WooCommerce. We now offer the ability to create your own e-commerce site with no coding skills. Transform your WordPress website into a thorough-bred eCommerce store for free. <br /><br />
	<div class="display-block" id="show_enable">
		<div class="display-table-cell table-cell-first">
			<label for="<?php echo $shortname; ?>_features">Enable themeshock shop</label>
		</div>
		<div class="display-table-cell table-cell-2">
			<input type="checkbox" name="ts_shopping_cart" id="<?php echo $shortname; ?>_features" value="true" <?php  echo  (get_option('ts_shopping_cart')==='true')?'checked="checked"':''; ?>  />
			<!--<span class="question_tooltip">?
				<div class="question_tooltip-description">
					<img src="<?php echo get_template_directory_uri()?>/img/multi_bkg/shopping_cart.jpg" width="139" height="128"/>
					 <p>
						If you check this option, You can active the shopping cart for sell your products and/or services in your WordPress Site. Please
						remember that you need to have an E-shop and a credit card agent.
					 </p>
				</div>
			</span>--> <span>You are use default e-shop from theme</span>
		</div>
	</div>
	<!--Used for woocommerce-->
	<div class="display-block" id="show_enable_woo">
		<div class="display-table-cell table-cell-first">
			<label for="<?php echo $shortname; ?>_features_woo">Enable woocommerce (Recommended)</label>
		</div>
		<div class="display-table-cell table-cell-2">
			<input type="checkbox" name="ts_shopping_cart_woo" id="<?php echo $shortname; ?>_features_woo" value="true" <?php  echo  (get_option('ts_shopping_cart_woo')==='true')?'checked="checked"':''; ?>  />
			<!--<span class="question_tooltip">?
			<div class="question_tooltip-description">
				<img src="<?php echo get_template_directory_uri()?>/img/multi_bkg/shopping_cart.jpg" width="139" height="128"/>
				<p>
					If you check this option, You can active the shopping cart for sell your products and/or services in your WordPress Site. Please
					remember that you need to have an E-shop and a credit card agent.
				</p>
			</div>
			</span>--> <span>Active / Deactive Woocommerce plugin</span>
		</div>
	</div>
	<!--end woo-->
	<?php
		if(get_page_by_title('Checkout')){
			?>
			<div class="display-block" id="uninstall_woo" style="display:none;">
				<div class="display-table-cell table-cell-first">
					<label for="<?php echo $shortname; ?>_uninstall_woo">Uninstall</label>
				</div>
				<div class="display-table-cell table-cell-2">
					<input type="checkbox" name="ts_shopping_cart_uninstall_woo" id="<?php echo $shortname; ?>_uninstall_woo" value="true" <?php  echo  (get_option('ts_shopping_cart_uninstall_woo')==='true')?'checked="checked"':''; ?>  />
				  <span>Delete all files created by Woocommerce</span>
				</div>
			</div>
			<?php
		}
	?>
	<div class="display-block">
		<div class="display-table-cell table-cell-first">
			<label for="">status</label>
		</div>
		<div class="display-table-cell table-cell-2">
			<span><?php echo $status;?> <br /> <?php echo $notice;?> </span>
		</div>
	</div>
	<div class="display-block" id="show_cart" style="display:none;">
		<h4>themeshock options</h4>
		<div class="display-table-cell table-cell-first">
			<label for="<?php echo $shortname; ?>_shopping_cart_options">Show shopping cart in </label>
		</div>
		<div class="display-table-cell table-cell-2">
			<select name="themeshock_shp_cart_show[]" multiple="multiple" id="<?php echo $shortname; ?>_shopping_cart_options">
				<?php
					foreach ($page_product as $value){
						if (is_array($GLOBALS['tg_shp_show'])){
						$tg_shp_sl='';
							foreach ($GLOBALS['tg_shp_show'] as $page_verify){
								if ($page_verify===$value){
									$tg_shp_sl='selected="selected"';
								}
							}
						}else{
							$tg_shp_sl='';
						}?>
						<option value="<?php echo $value; ?>" <?php echo $tg_shp_sl; ?>><?php echo $value; ?></option><?php
					}
				?>
			</select>
		</div>
	</div>
	<div class="display-block" id="show_price" style="display:none;">
		<div class="display-table-cell table-cell-first">
			<label for="<?php echo $shortname; ?>_shopping_cart_url" style="vertical-align: middle;">Price url**</label>
		</div>
		<div class="display-table-cell table-cell-2">
			<textarea name="themeshock_shopping_cart_url" id="<?php echo $shortname; ?>_shopping_cart_url" type="textarea"><?php echo $shoppinCartUrl;?></textarea>
		</div>
	</div>
	<div class="display-block" id="show_currency" style="display:none;">
		<div class="display-table-cell table-cell-first" style="vertical-align: middle;">
			<label for="<?php echo $shortname; ?>_shopping_cart_currency">Currency</label>
		</div>
		<div class="display-table-cell table-cell-2">
			<select name="themeshock_shopping_cart_currency" id="<?php echo $shortname; ?>_shopping_cart_currency">
				<?php
					$shoppingcart_currency_pack=array("USD", "BRL", "CAD", "CNY", "COP", "EUR", "GBP","MXN","JPY" );
					$get_shopping_cart=get_option($shortname.'_shopping_cart_currency');
					foreach($shoppingcart_currency_pack as $shoping_cart_item ){?>
						<option <?php echo ($shoping_cart_item===$get_shopping_cart)?'selected="selected"':''; ?>  ><?php echo $shoping_cart_item; ?></option><?php
					}
				?>
			</select>
		</div>
	</div>
	<div class="display-block" id="show_tax" style="display:none;">
		<div class="display-table-cell table-cell-first" style="vertical-align: middle;">
			<label for="<?php echo $shortname; ?>_shopping_cart_tax">Applied Tax</label>
		</div>
		<div class="display-table-cell table-cell-2">
			<input type="text" name="themeshock_shopping_cart_tax" pattern="([0-9]{1,2})" maxlength="2" placeholder="1 - 99" id="<?php echo $shortname; ?>_shopping_cart_tax" value="<?php echo (!get_option($shortname.'_shopping_cart_tax')?'0':get_option($shortname.'_shopping_cart_tax')) ?>" />
		</div>
	</div>
	<div class="display-block" id="show_tax_auto" style="display:none;">
		<div class="display-table-cell table-cell-first" style="vertical-align: middle;">
			<label for="<?php echo $shortname; ?>_shopping_cart_tax_auto">Add tax value to products</label>
		</div>
		<div class="display-table-cell table-cell-2">
			<input type="checkbox" name="themeshock_shopping_cart_tax_auto" id="<?php echo $shortname; ?>_shopping_cart_tax_auto" value="true" <?php  echo  (get_option($shortname.'_shopping_cart_tax_auto')==='true')?'checked="checked"':''; ?>/>
		</div>
	</div>
	<!--<div class="display-block" style="padding: 0 0 3px 0;">
	<div class="display-table-cell table-cell-first" style="vertical-align: middle;">
		<label for="<?php echo $shortname; ?>_shopping_cart_tax">shipping free after</label>
	</div>
	<div class="display-table-cell table-cell-2">
	  <input type="text" name="themeshock_shopping_cart_shipping_free" placeholder="0 - 99" id="<?php echo $shortname; ?>_shopping_cart_shipping_free" value="<?php echo (!get_option($shortname.'_shopping_cart_shipping_free')?'0':get_option($shortname.'_shopping_cart_shipping_free')) ?>" />
	</div>
	</div>-->
	<!--<small>
		** URL where you will receive payment parameters: The parameters should be passed by POST method:<br /><br />
		<i>$_POST['tg_shp_cart'][idproduct]['title']</i>=Receive the Product Name <br /><br />
		<i>$_POST['tg_shp_cart'][idproduct]['quantity']</i>=Products quantity <br /><br />
		<i>$_POST['tg_shp_cart'][idproduct]['price']</i>=Prints the total price for the quantity of such product according to the price defined in Edit product item. <br /><br />
		<i>$_POST['tg_shp_cart'][price_total]</i>=Total Price for items <br /><br />
		<i>$_POST['tg_shp_cart'][total_items]</i>=Items totality sold<br /><br />
		<i>$_POST['tg_shp_cart'][currency]</i>=Prints the currency selected at Options for Theme Generator
	</small>
	<!--<div class="area-save-btn"><input name="save" type="submit" value="Save Changes" class="button-primary"/></div><!-- end area-save -->
<?php }

/*****************************/
/* Setup testimonial quotes */
/***************************/

function getThemeGenTestimonialQuotes(){
	global $themename, $shortname;?>
	<div class="inside-row">
		<div class="display-table-cell table-cell-first">
			<label for="<?php echo $shortname; ?>_quote_styles"><?php echo __('Style type','ShocK')?></label>
		</div>
		<div class="display-table-cell table-cell-2">
			<select name="themeshock_quote_styles" id="<?php echo $shortname; ?>_quote_styles">
				<?php
					$get_testimonial_quote_pack = get_option($shortname.'_quote_styles', 1);
					foreach(range(1, 6) as $testimonial_quote_styles ){ ?>
						<option <?php echo ($get_testimonial_quote_pack == $testimonial_quote_styles)?'selected="selected"':''; ?> ><?php echo $testimonial_quote_styles; ?></option><?php
					}
				?>
			</select>
		</div>
	</div>
	<div class="inside-row">
	<div class="display-table-cell table-cell-first">
		<label for="<?php echo $shortname; ?>_quote_color"><?php echo __('Colors','ShocK')?></label>
	</div>
	<div class="display-table-cell table-cell-2">
		<select name="themeshock_quote_color" id="<?php echo $shortname; ?>_quote_color">
			<?php
				$testimonial_color_pack = array("gray", "blue", "black", "craft", "white");
				$get_testimonial_color_pack = get_option($shortname.'_quote_color', 'gray');
				foreach($testimonial_color_pack as $testimonial_color_styles ){ ?>
					<option <?php echo ($get_testimonial_color_pack == $testimonial_color_styles)?'selected="selected"':''; ?> ><?php echo $testimonial_color_styles?></option><?php
				}
			?>
		</select>
	</div>
	</div>
	<small><?php echo __('Select the quotes styles you want to use on your Testimonials page.','ShocK')?></small>
	<!--<div class="area-save-btn"><input name="save" type="submit" value="Save Changes" class="button-primary"/></div><!-- end area-save -->
<?php }

/***************************/
/* Setup Google Analytics */
/*************************/

function getThemeGenGoogleAnalytics(){
	global $themename, $shortname;?>
	<div class="display-table-cell table-cell-first">
		<label for="<?php echo $shortname; ?>_ga_code"><?php echo __('Google Analytics Code','ShocK')?></label>
	</div>
	<div class="display-table-cell table-cell-2">
		<textarea name="themeshock_ga_code" id="<?php echo $shortname; ?>_ga_code" type="textarea" cols="" rows="" ><?php echo (!get_option($shortname.'_ga_code'))?'':stripcslashes(get_option($shortname.'_ga_code'));?></textarea>
	</div>
	<small><?php echo __('You can paste your Google Analytics or other tracking code in this box. This will be automatically added to the footer.','ShocK')?></small>
	<!--<div class="area-save-btn"><input name="save" type="submit" value="Save Changes" class="button-primary"/></div><!-- end area-save -->
<?php }

/*function for captcha reload*/
function captcha_reload(){
	error_reporting(E_ALL);
ini_set('display_errors', 1);
	switch ($_REQUEST['session']) {
		case 'reload':
			include( get_template_directory().'/captcha/newsession.php');
		break;
		case 'generate':
			include( get_template_directory().'/captcha/image_req.php');
		break;
	}
	exit;
}
if ( ! function_exists('tg_script_contact_execute') ){
   function tg_script_contact_execute(){
	   ?>
		<script src="<?php echo get_template_directory_uri(); ?>/functions/jquery.h5validate.js"></script>
		<script type="text/javascript" src="https://maps.google.com/maps/api/js?sensor=false"></script>
		<script>
			/*Use for captcha*/
			jQuery(function(){
				jQuery('.captcha_reload').live('click',function(){
					jQuery('.captcha_reload').css({
						webkitTransform:'rotate(-360deg)',
						webkitTransition:'all 1s ease-in-out'
					});
					jQuery.post('<?php echo admin_url('admin-ajax.php'); ?>','action=tg_captcha&session=reload');//<?php echo get_template_directory_uri(); ?>/captcha/newsession.php
					jQuery("#captchaimage").load('<?php echo admin_url('admin-ajax.php'); ?>?action=tg_captcha&session=generate');//<?php echo get_template_directory_uri(); ?>/captcha/image_req.php
					return false;
				});
				/*contactform validation*/
				jQuery('#contactForm').h5Validate({
					errorClass:'errorFormat'
				});
				/*Use for inputs*/
				var cfw=jQuery('.contact_form').width();
				switch(cfw){
					case 380:
						jQuery('.contact_form .emailInput').css({'width':'47%'});
						jQuery('.contact_form .textInput').css({'width':'98%'});
						jQuery('.contact_form #map_canvas').css({'width':'100%'});
					break;
					case 532:
						jQuery('.contact_form .emailInput').css({'width':'48%'});
						jQuery('.contact_form .textInput').css({'width':'98%'});
						jQuery('.contact_form #map_canvas').css({'width':'100%'});
					break;
				}
				jQuery(window).resize(function(){
					if(jQuery(this).width()<960){
						jQuery('.contact_form .emailInput').css({'width':'98%'});
					}else{
						switch(cfw){
							case 380:
								jQuery('.contact_form .emailInput').css({'width':'47%'});
								jQuery('.contact_form .textInput').css({'width':'98%'});
								jQuery('.contact_form #map_canvas').css({'width':'100%'});
							break;
							case 532:
								jQuery('.contact_form .emailInput').css({'width':'48%'});
								jQuery('.contact_form .textInput').css({'width':'98%'});
								jQuery('.contact_form #map_canvas').css({'width':'100%'});
							break;
							case 836:
								jQuery('.contact_form .emailInput').css({'width':''});
								jQuery('.contact_form .textInput').css({'width':''});
								jQuery('.contact_form #map_canvas').css({'width':''});
							break;
						}
					}
				});
			});
			/*Maps Implementation*/
			function initialize(address) {
			  // I create a new google maps object to handle the request and we pass the address to it
			  var geoCoder = new google.maps.Geocoder(address)
				  // a new object for the request I called "request" , you can put there other parameters to specify a better search (check google api doc for details) ,
				  // on this example im going to add just the address
			  var request = {address:address};

				  // I make the request
			  geoCoder.geocode(request, function(result, status){
						  // as a result i get two parameters , result and status.
						  // results is an  array tha contenis objects with the results founds for the search made it.
						  // to simplify the example i take only the first result "result[0]" but you can use more that one if you want

						  // So , using the first result I need to create a  latlng object to be pass later to the map
						  var latlng = new google.maps.LatLng(result[0].geometry.location.lat(), result[0].geometry.location.lng());

				  // some initial values to the map
				  var myOptions = {
					zoom: 15,
					center: latlng,
					mapTypeId: google.maps.MapTypeId.ROADMAP
				  };

					   // the map is created with all the information
						 var map = new google.maps.Map(document.getElementById("map_canvas"),myOptions);

					   // an extra step is need it to add the mark pointing to the place selected.
					  var marker = new google.maps.Marker({position:latlng,map:map,title:'<?php bloginfo("name"); ?>'});

			  });
			}
			<?php if ( $_SERVER['HTTP_HOST']==='www.wpthemegenerator.com'){
				?>
					initialize('76 Ninth Ave New York, NY 10011 (212) 565-0000');
				<?php
				}else{
				?>
					initialize('<?php echo get_option("ShocK_main_address") ;?>');
				<?php
				}
			?>
		</script>
	   <?php
	   /*end maps*/
   }
}

add_action('wp_ajax_tg_captcha', 'captcha_reload');
add_action('wp_ajax_nopriv_tg_captcha', 'captcha_reload');

/*end captcha reload*/

/* funcion para actualizar el estado de los post type
recibe dos parametros el post name, y el estado nuevo */

function statusCustomPostType($wtsPostName, $wtsStatus){
	global $wpdb, $post;

	(isset($_POST['themeshock_enablePostTypeGallery']) || isset($_POST['themeshock_enablePostTypePortfolio']) || isset($_POST['themeshock_enablePostTypeServices']) || isset($_POST['themeshock_enablePostTypeProducts']) ||
	 isset($_POST['themeshock_enablePostTypeTestimonials']))?$redirect_warr = 'true':$redirect_warr = 'false';

	if (is_user_logged_in()){
		$wpdb->query("
			UPDATE $wpdb->posts
			SET post_status = '".$wtsStatus."'
			WHERE post_name = '".$wtsPostName."';"
		);

		$menu_current = get_theme_mod('nav_menu_locations');
		if($menu_current['shock_menu'] != 0){
			$term_shock_menu = get_term_by('term_id', $menu_current['shock_menu'], 'nav_menu');
			$idsPostNameWts = $wpdb->get_results("SELECT ID FROM wp_posts w where post_name like '%wts%' and post_status = 'trash'");
			$resultMenuItems = $wpdb->get_results($wpdb->prepare("SElECT post_id, meta_value FROM wp_term_relationships rs, wp_postmeta pm where rs.term_taxonomy_id = %s and rs.object_id = pm.post_id and meta_key = '_menu_item_object_id';", $term_shock_menu->term_taxonomy_id));
			foreach($idsPostNameWts as $idPostName){
				foreach($resultMenuItems as $resultMenuItem){
					if($resultMenuItem->meta_value === $idPostName->ID){
						$wpdb->query($wpdb->prepare("DELETE FROM $wpdb->term_relationships WHERE object_id = %s;", $resultMenuItem->post_id));
						$wpdb->query($wpdb->prepare("DELETE FROM $wpdb->posts WHERE id = %s;", $resultMenuItem->post_id));
						$wpdb->query($wpdb->prepare("DELETE FROM $wpdb->postmeta WHERE post_id = %s;", $resultMenuItem->post_id));
					}
				}
			}
			($redirect_warr === 'true')?header('Location: '.$_SERVER['REQUEST_URI']):'';
		}
	}
}

/* funcion para habilitar o desabilitar las taxonomias (portfolio, services, products.. etc)en el dashboard */
function activeCustomPostType($CustomPostType, $wtsPostType, $wtsPostName){
	global $wpdb;
	if( get_option( 'ShocK_enablePostType'.$CustomPostType, 'true') === 'true'):
		statusCustomPostType($wtsPostName, 'publish');
		add_action('init', $wtsPostType);
	else:
		statusCustomPostType($wtsPostName, 'trash');
		remove_action('init', $wtsPostType);
	endif;
}
/**
 * [wts_main_boxes extend theme-options boxes into taxonomies ]
 * @return [type] [the current box]
 */
function wts_main_boxes(){
	if(get_option('themeshock_default_post_boxes') == 'true'){
		if(isset($GLOBALS['boxes_css']) && $GLOBALS['boxes_css'][1] != 'boxcss_default'){
			return 'reset_boxcss '.$GLOBALS['boxes_css'][1];
		}else{
			return $GLOBALS['boxes_css'][1];
		}
	}else if(get_option('themeshock_postsbox_style') != 'boxcss_default'){
		return 'reset_boxcss '.get_option('themeshock_postsbox_style');
	}else{
		return get_option('themeshock_postsbox_style');
	}
}

?>