<?php 
/**
* This include contains all the constants that the app needs to be initialized and runned
*
* @category Config - Constants
*/

/*
* Theme name
*/
define( 'THEME_NAME' , 'ShocK' );

/*
* mod setting
*/
define( 'THEME_MOD' , 'ShocK_theme_options');

/**
* Path for site
*/
define( 'SITE_URL', site_url() . '/' );

/**
* Path for the theme-core
*/
define( 'THEME_PATH_CORE', get_template_directory().'/functions/' );

/**
* Path for the theme uri
*/
define( 'THEME_URI', get_template_directory_uri().'/' );

/**
* Path for the css uri
*/
define( 'CSS_URI', THEME_URI.'css/' );

/**
* Path for the img uri
*/
define( 'IMG_URI', THEME_URI.'img/' );

/**
* Path for the config uri
*/
define( 'CONFIG_URI', THEME_URI.'functions/' );


?>